# Monaca Localkit チュートリアル

{% hint style="info" %}
30 日間のトライアル期間 ( 初回ログイン時から起算 ) を設けておりますが、Monaca Localkit を長期でご利用になる場合には、対応するプランへの加入が必要です。詳細は、[料金プラン](https://ja.monaca.io/pricing.html) をご確認ください。
{% endhint %}

{% hint style="info" %}
Monaca Localkit では、[バックエンド機能](https://ja.docs.monaca.io/tutorials/broken-reference) と [プッシュ通知機能](https://ja.docs.monaca.io/tutorials/broken-reference) は現在ご利用できません。
{% endhint %}

Monaca Localkit は、Monaca アプリ向けのローカル環境用の開発ツールです。ソースコード管理システム ( バージョン管理システム )、タスク実行ツール ( Task Runner )、各種エディターなど、多岐にわたる開発ツールと併用できます。Monaca Localkit を使用すれば、オフラインでの開発も行え、また、Monaca デバッガーとのスピーディーな同期も行えます。詳細は、[こちら](https://ja.docs.monaca.io/products_guide/monaca_localkit) をご確認ください。

このチュートリアルを始める前に、下記が必要になります。

* Monaca Localkitをインストールします。[こちら](https://ja.monaca.io/localkit.html) からダウンロードできます。
* \[オプション] スマートデバイス ( iOS または Android 端末 )。端末上で検証を行う場合には必要となります。

{% content-ref url="monaca\_localkit/starting\_project" %}
[starting\_project](https://ja.docs.monaca.io/tutorials/monaca_localkit/starting_project)
{% endcontent-ref %}

{% content-ref url="monaca\_localkit/building\_app" %}
[building\_app](https://ja.docs.monaca.io/tutorials/monaca_localkit/building_app)
{% endcontent-ref %}

{% content-ref url="monaca\_localkit/testing\_debugging" %}
[testing\_debugging](https://ja.docs.monaca.io/tutorials/monaca_localkit/testing_debugging)
{% endcontent-ref %}

{% content-ref url="monaca\_localkit/publishing\_app" %}
[publishing\_app](https://ja.docs.monaca.io/tutorials/monaca_localkit/publishing_app)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://ja.docs.monaca.io/tutorials/monaca_localkit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
